Skip to main content
PUT
Caution – Modification may trigger SCA re-enrollmentIf UserCategory is OWNER, modifying the following values changes UserStatus to PENDING_USER_ACTION and requires re-enrollment in SCA using the returned PendingUserAction.RedirectUrl:
  • Email
  • PhoneNumber
  • PhoneNumberCountry
In Sandbox, you can bypass SCA by including the word accept in the Natural User’s Email – for example accept@example.com or john.doe+accept@example.com.
Caution – Modification may cause KYC/B verification downgradeIf KYCLevel is REGULAR, modifying the following values triggers a verification downgrade to LIGHT:
  • FirstName
  • LastName
  • Birthday
  • Nationality
Note – Country-based restrictions apply to usersDue to Mangopay’s country restrictions, it is not possible to use blocked countries as the following:
  • Nationality
  • CountryOfResidence
  • Address.Country

Body parameters

string
Possible values: USER_PRESENT, USER_NOT_PRESENTDefault value: USER_PRESENTThe SCA context of the request, which is required if the user’s UserCategory is OWNER:
  • USER_PRESENT – The user is taking the SCA-triggering action of updating account information and must re-enroll in SCA . The platform must redirect the user using the PendingUserAction.RedirectUrl returned so that the user can complete the SCA session.
  • USER_NOT_PRESENT – The platform is taking the action under proxy from the user and the user has previously given consent to Mangopay (via the SCA hosted experience) to allow the action. If the user has not given (or has revoked) their consent, then USER_NOT_PRESENT returns a 403 error.
Read more about managing proxy and user consent Note: On User endpoints, ScaContext is not returned in the API response as it does not form part of the User data – it’s only related to the action being performed on the user.
boolean
required
Whether the user has accepted Mangopay’s terms and conditions (as defined by your contract, see the T&Cs guide for details).Must be true if UserCategory is OWNER.
string
Min. length: 1; max. length: 100The first name of the individual.
string
Min. length: 1; max. length: 100The last name of the individual.
Unix timestamp
Required if UserCategory is OWNER. Returned null if UserCategory is PAYER.The date of birth of the individual.Note: This is a Unix timestamp in UTC. Ensure you convert your timezone to UTC to avoid midnight being interpreted as the day before.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)Required if UserCategory is OWNER. Returned null if UserCategory is PAYER.The nationality of the individual.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)Required if UserCategory is OWNER. Returned null if UserCategory is PAYER.The country of residence of the individual.
string
Max. length: 255 charactersReturned null if UserCategory is PAYER.The occupation of the individual.
integer
Allowed values: 1, 2, 3, 4, 5, 6, nullReturned null if UserCategory is PAYER.The bracket indicating the income of the individual. The brackets are:
  • 1: < 18K
  • 2: 18K - 30K
  • 3: 30K - 50K
  • 4: 50K - 80K
  • 5: 80K - 120K
  • 6: > 120K
string
Max. length: 255 charactersCustom data that you can add to this object.
string
Format: A valid email addressThe individual’s email address.Caution: If UserCategory is OWNER, modifying this value means the user will be required to re-enroll the new value in SCA via the PendingUserAction.RedirectUrl. For more details see the SCA guides.
string
Format: International E.164 standard (preceded by plus sign and country code) or local formatThe individual’s phone number. The local format (recommended) requires PhoneNumberCountry to ensure correct formatting.If present, the phone number forms part of card transaction data that is passed to issuers to improve authentication rates.For users with UserCategory OWNER , the phone number is used to pre-populate the SCA session for them to confirm and receive an SMS OTP. If the individual modifies the phone number during the session, this data is not updated in the API.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)Required if the PhoneNumber is provided in local format (recommended), to render the value in the E.164 standard.
object
The postal address of the user.

Responses

string
Min. length: 1; max. length: 100The first name of the individual.
string
Min. length: 1; max. length: 100The last name of the individual.
Unix timestamp
Returned null if UserCategory is PAYER.The date of birth of the individual.Note: This is a Unix timestamp in UTC. Ensure you convert your timezone to UTC to avoid midnight being interpreted as the day before.
string
Returned null if UserCategory is PAYER.The nationality of the individual.
string
Returned null if UserCategory is PAYER.The country of residence of the individual.
string
Max. length: 255 charactersThe occupation of the individual.Returned null if UserCategory is PAYER.
integer
Returned null if UserCategory is PAYER.The bracket indicating the income of the individual. The brackets are:
  • 1: < 18K
  • 2: 18K - 30K
  • 3: 30K - 50K
  • 4: 50K - 80K
  • 5: 80K - 120K
  • 6: > 120K
string
The Id of the KYC Document whose Type is IDENTITY_PROOF if validated for the user. If no identity proof is validated, then this value is null.
string
The Id of the KYC Document whose Type is ADDRESS_PROOF if validated for the user. If no address proof is validated, then this value is null.
string
This is a deprecated parameter.
string
Format: International E.164 standard (preceded by plus sign and country code) or local formatThe individual’s phone number. The local format (recommended) requires PhoneNumberCountry to ensure correct formatting.If present, the phone number forms part of card transaction data that is passed to issuers to improve authentication rates.For users with UserCategory OWNER , the phone number is used to pre-populate the SCA session for them to confirm and receive an SMS OTP. If the individual modifies the phone number during the session, this data is not updated in the API.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)Required if the PhoneNumber is provided in local format (recommended), to render the value in the E.164 standard.
object
The postal address of the user.
object
Object containing the link needed for SCA redirection if triggered by the API call (otherwise returned null).
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
Unix timestamp
The date and time at which the object was created.
string
Returned values: NATURAL, LEGALThe type of the user:
  • NATURAL – Natural users are individuals (natural persons).
  • LEGAL – Legal users are legal entities (legal persons) like companies, non-profits, and sole proprietors.
The PersonType is defined by the endpoint used to create the user and can’t be modified.
string
Format: A valid email addressThe individual’s email address.
string
Default value: LIGHTReturned values: LIGHT, REGULARThe verification status of the user set by Mangopay:
  • LIGHT – Unverified, assigned by default to all users.
  • REGULAR – Verified, meaning the user has successfully completed the verification process and had the necessary documents validated by Mangopay. Only users whose UserCategory is OWNER can submit verification documents for validation. Only users whose KYCLevel is REGULAR can request payouts.
boolean
Whether the user has accepted Mangopay’s terms and conditions (as defined by your contract, see the T&Cs guide for details).Must be true if UserCategory is OWNER.
Unix timestamp
The date and time at which the TermsAndConditionsAccepted value was set to true.Returned null if UserCategory is PAYER.
string
Possible values: PAYER, OWNER, PLATFORMThe category of the user:
  • PAYER – User who can only make pay-ins to their wallets and transfers to other wallets (as well as refunds for pay-ins and transfers).
  • OWNER – User who can also receive transfers to their wallets. Owners are able to request KYC verification, which if successful gives them the KYCLevel of REGULAR and the ability to request payouts.
  • PLATFORM – Single specific user that represents the platform. The PLATFORM value is only assigned by Mangopay and may be used as part of the validated workflow implemented by the platform.
string
Returned values: PENDING_USER_ACTION, ACTIVE, CLOSEDThe status of the user:
  • PENDING_USER_ACTION – The user must enroll in SCA before they can become ACTIVE.
  • ACTIVE – The user account is active and the user can access Mangopay features.
  • CLOSED – The user account is permanently closed. This value is used by Mangopay to close an account following the procedure outlined in the terms and conditions.
Read more about Mangopay’s AML rules on user data
Read more about country restrictions